import * as __WEBPACK_EXTERNAL_MODULE_react__ from "react";
import * as __WEBPACK_EXTERNAL_MODULE__tachybase_schema__ from "@tachybase/schema";
import * as __WEBPACK_EXTERNAL_MODULE__collection_manager_index_mjs__ from "../../collection-manager/index.mjs";
const useGetAriaLabelOfDesigner = ()=>{
    const fieldSchema = (0, __WEBPACK_EXTERNAL_MODULE__tachybase_schema__.useFieldSchema)();
    const { name: _collectionName } = (0, __WEBPACK_EXTERNAL_MODULE__collection_manager_index_mjs__.useCollection_deprecated)();
    const getAriaLabel = (0, __WEBPACK_EXTERNAL_MODULE_react__.useCallback)((name, postfix)=>{
        if (!fieldSchema) return '';
        const component = fieldSchema['x-component'];
        const designer = fieldSchema['x-designer'] ? "-".concat(fieldSchema['x-designer']) : '';
        const settings = fieldSchema['x-settings'] ? "-".concat(fieldSchema['x-settings']) : '';
        const collectionField = fieldSchema['x-collection-field'] ? "-".concat(fieldSchema['x-collection-field']) : '';
        const collectionName = _collectionName ? "-".concat(_collectionName) : '';
        postfix = postfix ? "-".concat(postfix) : '';
        return "designer-".concat(name, "-").concat(component).concat(designer).concat(settings).concat(collectionName).concat(collectionField).concat(postfix);
    }, [
        fieldSchema,
        _collectionName
    ]);
    return {
        getAriaLabel
    };
};
export { useGetAriaLabelOfDesigner };
